diff options
author | Petr Mladek <pmladek@suse.cz> | 2012-04-16 17:16:32 +0200 |
---|---|---|
committer | Petr Mladek <pmladek@suse.cz> | 2012-04-16 17:20:04 +0200 |
commit | ae9a98b436e7ee9c246b85d8e9bb4ff94732f3b8 (patch) | |
tree | 21ce59a250413b5d9d6b03509623840d25b00301 /bin | |
parent | 44092833d3a0f0d6074c64bd0e64bbdf11109afe (diff) |
allow to download main source tarballs again
The file "core.ver" was removed in configure together with other "core.*"
files. It was ugly name. Better to use "sources.ver" and the variable
"lo_sources_ver=..."
The source version is not used in "unpack-sources", so do not source the .ver file
at all.
The source tarballs are put into "major.minor.micro" version subdirectory
on the download site now.
Diffstat (limited to 'bin')
-rwxr-xr-x | bin/lo-pack-sources | 11 | ||||
-rwxr-xr-x | bin/unpack-sources | 5 |
2 files changed, 7 insertions, 9 deletions
diff --git a/bin/lo-pack-sources b/bin/lo-pack-sources index b57ae1bde3a8..11fcd7421d54 100755 --- a/bin/lo-pack-sources +++ b/bin/lo-pack-sources @@ -117,14 +117,13 @@ sub run_autoreconf($$) "cd - >/dev/null 2>&1") && die "Error: autoreconf failed: $!\n"; } -sub generate_version_file($$$) +sub generate_sources_version_file($$) { - my ($dir, $piece, $release_version) = @_; + my ($dir, $release_version) = @_; - # FIXME: crazy hacks to copy libreoffice-build without too big and useless subdirectories and to show a progress - open (VERFILE, ">$dir/$piece.ver") || die "Can't open $dir/lo-$piece.ver: $!\n"; + open (VERFILE, ">$dir/sources.ver") || die "Can't open $dir/sources.ver: $!\n"; - print VERFILE "lo_core_ver=$release_version\n"; + print VERFILE "lo_sources_ver=$release_version\n"; close VERFILE; } @@ -248,7 +247,7 @@ sub prepare_piece_sources($$$$) my $temp_dir = copy_lo_piece_to_tempdir($piece_dir, $piece, $piece_tarball_name); generate_lo_piece_changelog($piece_dir, "$temp_dir/$piece_tarball_name", $piece); run_autoreconf("$temp_dir/$piece_tarball_name", $piece) if ($piece eq 'core'); - generate_version_file("$temp_dir/$piece_tarball_name", $piece, $release_version) if ($piece eq 'core'); + generate_sources_version_file("$temp_dir/$piece_tarball_name", $release_version) if ($piece eq 'core'); return $temp_dir; } diff --git a/bin/unpack-sources b/bin/unpack-sources index 271a5e39f4ee..0fe4499c3197 100755 --- a/bin/unpack-sources +++ b/bin/unpack-sources @@ -78,13 +78,12 @@ if ! test -f $start_dir/Repository.mk -a -f $start_dir/solenv/inc/target.mk ; th exit 1; fi -if test ! -f $start_dir/core.ver -o -d $start_dir/.git ; then - echo "Warning: core sources are from git and not from tarball" +if test ! -f $start_dir/sources.ver -o -d $start_dir/.git ; then + echo "Warning: sources are from git and not from tarball" echo " Do nothing." exit 0; fi -source $start_dir/bootstrap.ver lo_src_dir="$start_dir/src" mkdir -p "$lo_src_dir" |